<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title> Train Station</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="stylesheet" href="/style.css">
    <script src="/script.js"></script>
</head>
<body>

<div class="tab">
    <button class="tablinks" onclick="openCity(event, 'passenger_information')" id="defaultOpen">Passenger information
    </button>
    <button class="tablinks" onclick="openCity(event, 'add_ticket')">Add new ticket</button>
    <button class="tablinks" onclick="openCity(event, 'Train')">Train</button>
    <button class="tablinks" onclick="openCity(event, 'Train Route')">Train Route</button>
    <button class="tablinks" onclick="openCity(event, 'Company information')">Company information</button>
    <button class="tablinks" onclick="openCity(event, 'Tickets')">Tickets</button>
    <button class="tablinks" onclick="openCity(event, 'add_employee')">Add employee</button>
</div>

<div id="passenger_information" class="tabcontent">
    <table border='1' >
        <thead>
            <tr>
                <th>passengerID</th>
                <th>fullName</th>
                <th>passportNumber</th>
                <th>phoneNumber</th>
                <th>benefits</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="passenger : ${posts}">
                <th th:text="${passenger.passengerID}">passengerID</th>
                <th th:text="${passenger.fullName}">fullName</th>
                <th th:text="${passenger.passportNumber}">passportNumber</th>
                <th th:text="${passenger.phoneNumber}">phoneNumber</th>
                <th th:text="${passenger.benefits}">benefits</th>
            </tr>
        </tbody>

    </table>

    <div class="buttons">
        <button class="button1"><b>Add Passenger</b></button>
        <button class="button2"><b>Search and delete</b></button>
        <button class="button2"><b>Update</b></button>
    </div>

</div>

<div id="add_employee" class="tabcontent">
    <form method="post" action="/add">
        <div class="employee-id">
            <label class="employee-id1">Employee ID</label>
            <input type="text" name="employeeID" class="employee-id2"/>
        </div>
        <br>
        <br>
        <div class="field">
            <label class="fields-form">Full name</label>
            <input type="text" name="fullName" class="fields-form"/>
            <label class="fields-form1">Login</label>
            <input type="text" name="login" class="fields-form1"/>
        </div>
        <br>
        <div class="field">
            <label for="gender" class="fields-form">Gender</label>
            <select id="gender" name="gender" class="fields-form">
                <option value="Male">Male</option>
                <option value="Famale">Famale</option>
                <option selected value="Other">Other</option>
            </select>
            <label class="fields-form1">Password</label>
            <input type="password" name="password" class="fields-form1"/>
        </div>
        <br>
        <div class="field">
            <label class="fields-form">Phone number</label>
            <input type="text" name="phoneNumber" class="fields-form"/>
            <div class="fields-form2">
                <button id="button3" type="submit" class="fields-form3"><b>Add Employee</b></button>
            </div>
        </div>
    </form>

</div>


<script>
        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();

</script>


</body>

</html>